<nz-layout>
    <nz-content class="no-margin">
        <app-img-header></app-img-header>
    </nz-content>

    <nz-content>
        <div class="inner-content">
            <div nz-row>
                <div nz-col nzXs="24" nzSm="24" nzMd="24">
                    <div class="info">
                        <h1>Demande d'un nouveau mot de passe</h1>
                        <p class="lead">Vous n'avez pas encore de compte MyDevCommunity? <a
                                [routerLink]="[ '/register']">S'inscrire
                                maintenant!</a></p>
                    </div>
                </div>
            </div>
            <div nz-row>
                <div nz-col [nzSpan]="24">
                    <nz-card class="card-login center">
                        <!-- START FORM PASSWORD FORGET-->
                        <form nz-form [formGroup]="validateForm" class="login-form" (ngSubmit)="submitForm()">
                            <div nz-row>
                                <div nz-col nzSpan="24">
                                    <nz-form-item>
                                        <nz-form-control nzErrorTip="Veuillez saisir votre nom d'utilisateur !">
                                            <nz-input-group class="reg-input" nzPrefixIcon="user">
                                                <input formControlName="username" id="username" nz-input
                                                    formControlName="userName" placeholder="Nom d'utilisateur" />
                                            </nz-input-group>
                                        </nz-form-control>
                                    </nz-form-item>
                                </div>
                            </div>
                            <p>ou</p>
                            <div nz-row>
                                <div nz-col nzSpan="24">
                                    <nz-form-item>
                                        <nz-form-control nzErrorTip="Veuillez saisir votre email !">
                                            <nz-input-group class="reg-input" nzPrefixIcon="mail">
                                                <input formControlName="email" id="email" nz-input
                                                    formControlName="emailUser" placeholder="Email" />
                                            </nz-input-group>
                                        </nz-form-control>
                                    </nz-form-item>
                                </div>
                            </div>
                            <div nz-row>
                                <div nz-col nzSpan="24">
                                    <button nz-button nzType="primary" (click)="loadTwo()" [nzLoading]="isLoadingTwo">
                                        Réinitialiser mot de passe
                                    </button>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM PASSWORD FORGET-->
                    </nz-card>
                </div>
            </div>
        </div>
    </nz-content>
</nz-layout>